import {getCars} from './getCars';

import {generateReport} from './generateReport';

import {
  select,
  json,
  tree,
  hierarchy,
  linkHorizontal,
  zoom,
   event
} from 'd3'
 console.log(document.body.clientWidth);
 console.log(document.body.clientHeight);



// You can import API functions like this from D3.js.
//import { select } from 'd3';

// You can import local modules like this. See message.js!
//import { message } from './myMessage';

// This line uses D3 to set the text of   the message div.
//select('#message').text(message);
  //console.log(d3);
     
		 const width= document.body.clientWidth;
     const height= document.body.clientHeight;
     const margin={top:0,bottom:0,right:300,left:50};
     const innerWidth=width-margin.left-margin.right;
     const innerHeight=height-margin.top-margin.bottom;

     const treeLayout = tree()
 				.size([innerHeight,innerWidth]);
     
     const svg=select('svg');
    svg.style('background-color','white');
    svg.call(zoom().on('zoom',()=>{
    		g.attr('transform',event.transform);
    
    }));
    const zoomG=svg
      .attr('width',width)
      .attr('height',height)
       .append('g');

   const g=zoomG.append('g')
       .attr('transform',`translate(${margin.left},${margin.top})`);
        

		


json('data.json')
 .then(data=>{
   const root=hierarchy(data);
  const links=treeLayout(root).links();//vytvori pole objektov
  const linkPathGenerator=linkHorizontal()
    .x(d => d.y) //lebo je to horizontal tree
    .y(d => d.x);
  
  g.selectAll('path').data(links)
   .enter().append('path')
    .attr('d',linkPathGenerator);
  
  g.selectAll('text').data(root.descendants())
  	.enter().append('text')
  		.attr('x',d => d.y)
      .attr('y',d => d.x)
     // .attr('font-size',d=> d.depth*0.1+'em')
     .attr('font-size',d=> 0.3+'em')
      .attr('text-anchor',d=> d.children //ak ma deti
            ?'start'
            :'start')
      .attr('dy','0.32em')
        .text(d=> d.data.name);
  
  
  // console.log(data);
});
 		

